Bug 1327548 - RFE: enable ALPN support in mod_ssl
Summary: RFE: enable ALPN support in mod_ssl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: httpd
Version: httpd24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 3.0
Assignee: Luboš Uhliarik ✈
QA Contact: Jan Houska
URL:
Whiteboard:
Depends On: rhel7-openssl1.0.2
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-15 11:17 UTC by Joe Orton
Modified: 2017-10-24 09:48 UTC (History)
15 users (show)

Fixed In Version: httpd24-httpd-2.4.26-2.el7
Doc Type: Enhancement
Doc Text:
With this update, the mod_ssl module supports the ALPN protocol on Red Hat Enterprise Linux 7.4 and later versions.
Clone Of:
Environment:
Last Closed: 2017-10-24 09:48:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3018 normal SHIPPED_LIVE Moderate: httpd24 security, bug fix, and enhancement update 2017-10-24 13:22:23 UTC

Description Joe Orton 2016-04-15 11:17:50 UTC
Description of problem:
The version of OpenSSL in RHEL 7 currently only supports NPN.  The HTTP/2 community is standardising around ALPN, which is only supported in OpenSSL 1.0.2.

As a result, the RHSCL httpd24 will not be interoperable with newer HTTP/2 clients attempting to upgrade TLS connections.

Version-Release number of selected component (if applicable):
httpd24-httpd-2.4.18-9

How reproducible:
always

References:
http://blog.chromium.org/2016/02/transitioning-from-spdy-to-http2.html

Comment 11 Jan Houska 2017-10-05 10:11:53 UTC
Verified 
test /CoreOS/httpd/mod_http2/smoke is  working on RHEL-7.4 on architectures  1486372 with no problem. The test run on architecture aarch64 on RHEL-7.4 revealed known bug BZ#1429006.  It seems that this bug is not caused by by change to ALPN protocol support because it appearing on RHEL-7.3 and earlier.

Comment 13 errata-xmlrpc 2017-10-24 09:48:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3018


Note You need to log in before you can comment on or make changes to this bug.